Bug 376411 - RFE: --skip-broken should downgrade to 'older' working versions that are newer
RFE: --skip-broken should downgrade to 'older' working versions that are newer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 14:42 EST by Philip Ashmore
Modified: 2009-07-14 14:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2007-11-11 14:42:57 EST
Description of problem:
I installed Fedora 8 from a Live CD. I tried to install kmod-nvidia-96xx from
Livna. There two versions in the update 'snapshot'.

Version-Release number of selected component (if applicable):
kmod-nvidia-96xx-96.43.01-17.lvn8.i686.rpm
kmod-nvidia-96xx-96.43.01-16.lvn8.i686.rpm

Pirut displays just one name: 
How reproducible:
As long as the update 'snapshots' don't have release information.
This is a way of identifying update 'snapshots' from different repositories as
belonging to the same 'release', giving some assurance that the packages were
tested together.
Such a release tag could be communicated to others, for example in bug reports.

Steps to Reproduce:
1. Try to install software  from several yum repositories. Hope they're consistent.

Actual results:
If the 'snapshots' aren't consistent then yum / pirut reports that some packages
aren't available even though it has enough to do a valid install.
For example:
yum install livna/8/i386/kmod-nvidia-96xx-96.43.01-17.lvn8.i686.rpm
Setting up Install Process
Parsing package install arguments
Examining livna/8/i386/kmod-nvidia-96xx-96.43.01-17.lvn8.i686.rpm:
kmod-nvidia-96xx - 96.43.01-17.lvn8.i686
Marking livna/8/i386/kmod-nvidia-96xx-96.43.01-17.lvn8.i686.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia-96xx.i686 0:96.43.01-17.lvn8 set to be updated
--> Processing Dependency: kmod-nvidia-96xx-2.6.23.1-49.fc8 for package:
kmod-nvidia-96xx
--> Running transaction check
---> Package kmod-nvidia-96xx-2.6.23.1-49.fc8.i686 0:96.43.01-17.lvn8 set to be
updated
--> Processing Dependency: nvidia-96xx-kmod-common >= 96.43.01 for package:
kmod-nvidia-96xx-2.6.23.1-49.fc8
--> Processing Dependency: kernel-i686 = 2.6.23.1-49.fc8 for package:
kmod-nvidia-96xx-2.6.23.1-49.fc8
--> Running transaction check
---> Package kmod-nvidia-96xx-2.6.23.1-49.fc8.i686 0:96.43.01-17.lvn8 set to be
updated
--> Processing Dependency: kernel-i686 = 2.6.23.1-49.fc8 for package:
kmod-nvidia-96xx-2.6.23.1-49.fc8
---> Package xorg-x11-drv-nvidia-96xx.i386 0:96.43.01-3.lvn8.1 set to be updated
--> Processing Dependency: livna-config-display for package:
xorg-x11-drv-nvidia-96xx
--> Processing Dependency: livna-config-display for package:
xorg-x11-drv-nvidia-96xx
--> Running transaction check
---> Package kmod-nvidia-96xx-2.6.23.1-49.fc8.i686 0:96.43.01-17.lvn8 set to be
updated
--> Processing Dependency: kernel-i686 = 2.6.23.1-49.fc8 for package:
kmod-nvidia-96xx-2.6.23.1-49.fc8
---> Package livna-config-display.noarch 0:0.0.19-1.lvn8 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: kernel-i686 = 2.6.23.1-49.fc8 is needed by package
kmod-nvidia-96xx-2.6.23.1-49.fc8

On my machine uname -r reports "2.6.23.1-42.fc8".

But for
yum install livna/8/i386/kmod-nvidia-96xx-96.43.01-16.lvn8.i686.rpm
Setting up Install Process
Parsing package install arguments
Examining livna/8/i386/kmod-nvidia-96xx-96.43.01-16.lvn8.i686.rpm:
kmod-nvidia-96xx - 96.43.01-16.lvn8.i686
Marking livna/8/i386/kmod-nvidia-96xx-96.43.01-16.lvn8.i686.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia-96xx.i686 0:96.43.01-16.lvn8 set to be updated
--> Processing Dependency: kmod-nvidia-96xx-2.6.23.1-42.fc8 for package:
kmod-nvidia-96xx
--> Running transaction check
---> Package kmod-nvidia-96xx-2.6.23.1-42.fc8.i686 0:96.43.01-16.lvn8 set to be
updated
--> Processing Dependency: nvidia-96xx-kmod-common >= 96.43.01 for package:
kmod-nvidia-96xx-2.6.23.1-42.fc8
--> Running transaction check
---> Package xorg-x11-drv-nvidia-96xx.i386 0:96.43.01-3.lvn8.1 set to be updated
--> Processing Dependency: livna-config-display for package:
xorg-x11-drv-nvidia-96xx
--> Processing Dependency: livna-config-display for package:
xorg-x11-drv-nvidia-96xx
--> Running transaction check
---> Package livna-config-display.noarch 0:0.0.19-1.lvn8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kmod-nvidia-96xx        i686       96.43.01-16.lvn8 
livna/8/i386/kmod-nvidia-96xx-96.43.01-16.lvn8.i686.rpm   0.0
Installing for dependencies:
 kmod-nvidia-96xx-2.6.23.1-42.fc8  i686       96.43.01-16.lvn8  livna          
  1.6 M
 livna-config-display    noarch     0.0.19-1.lvn8    livna              64 k
 xorg-x11-drv-nvidia-96xx  i386       96.43.01-3.lvn8.1  livna             4.4 M

Transaction Summary
=============================================================================
Install      4 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 6.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): kmod-nvidia-96xx-2 100% |=========================| 1.6 MB    00:13
(2/3): xorg-x11-drv-nvidi 100% |=========================| 4.4 MB    00:37
(3/3): livna-config-displ 100% |=========================|  64 kB    00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: livna-config-display         ######################### [1/4]
  Installing: kmod-nvidia-96xx-2.6.23.1-42 ######################### [2/4]
  Installing: kmod-nvidia-96xx             ######################### [3/4]
  Installing: xorg-x11-drv-nvidia-96xx     ######################### [4/4]

Installed: kmod-nvidia-96xx.i686 0:96.43.01-16.lvn8
Dependency Installed: kmod-nvidia-96xx-2.6.23.1-42.fc8.i686 0:96.43.01-16.lvn8
livna-config-display.noarch 0:0.0.19-1.lvn8 xorg-x11-drv-nvidia-96xx.i386
0:96.43.01-3.lvn8.1
Complete!

Expected results:
The software installs as intended

Additional info:
Comment 1 James Antill 2008-05-28 16:03:25 EDT
 This is basically an enhance request on skip-broken, AIUI. I don't believe that
the latest version will downgrade versions, feel free to test.
 I also wouldn't hold your breath for this getting in Fed-9 (nevermind Fed-8).
Comment 2 Seth Vidal 2008-05-30 11:35:32 EDT
I'll be brutal - we're pretty much NEVER gonna downgrade as a behaviour until
downgrades do more proper things at the rpm layer. That's a long ways off.
Comment 3 James Antill 2008-05-31 16:40:32 EDT
 That was probably a bad summary from me. What you have is:

A-1 installed
A-2 available
A-3 available
 deps. on Blah
Blah is not available

...the idea being that with skip broken enabled, you'd go from A-1 to A-2.
 I'm still not rushing to implement it, but it is a usecase I've seen requested
and this BZ is a varient of that ... AIUI.
Comment 4 Bug Zapper 2009-06-09 19:10:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 14:21:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.